<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/ll_root"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/fm_play_in"
    android:fitsSystemWindows="true"
    android:orientation="vertical">

    <com.ydl.ydlcommon.view.TitleBar
        android:id="@+id/tb_title"
        android:layout_width="match_parent"
        android:layout_height="@dimen/title_bar_height"
        android:background="@color/transparent"
        app:pa_left_start_icon="@drawable/fm_back"
        app:pa_right_start_icon="@drawable/fm_item"
        app:pa_title_bar_text_color="@color/white"
        app:pa_title_text="心灵电台" />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="74dp"
        android:gravity="center_vertical"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.yidianling.fm.widget.FMSurfaceView
                android:id="@+id/fmSurfaceView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"/>

            <LinearLayout
                android:id="@+id/ll_last_time"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical">
                <android.support.v7.widget.CardView
                    android:id="@+id/fm_card"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:cardElevation="0dp">
                    <ImageView
                        android:id="@+id/fm_img"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/fm_hint_img"
                        android:scaleType="centerCrop"/>
                </android.support.v7.widget.CardView>
            </LinearLayout>

            <ProgressBar
                android:id="@+id/circle_progress"
                style="?android:attr/progressBarStyleLarge"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_centerInParent="true"
                android:background="@drawable/fm_shape_circle_black_bg"
                android:visibility="gone"/>

            <ImageView
                android:id="@+id/refresh_icon"
                android:layout_width="@dimen/platform_dp_25"
                android:layout_height="@dimen/platform_dp_25"
                android:src="@drawable/fm_heart_refresh"
                android:layout_centerInParent="true"
                android:visibility="gone"/>

        </RelativeLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="120dp"
        android:layout_alignParentBottom="true"
        android:gravity="center_vertical">

        <ImageView
            android:id="@+id/iv_love"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="@dimen/platform_dp_19"
            android:scaleType="fitCenter"
            android:src="@drawable/fm_love_n_2" />

        <ImageView
            android:id="@+id/iv_last"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="@dimen/platform_dp_36"
            android:src="@drawable/fm_last_2" />

        <ImageView
            android:id="@+id/iv_play"
            android:layout_width="0dp"
            android:layout_weight="2"
            android:layout_height="60dp"
            android:layout_centerInParent="true"
            android:src="@drawable/fm_play_2"/>


        <ImageView
            android:id="@+id/iv_next"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="36dp"
            android:src="@drawable/fm_next_2" />


        <ImageView
            android:id="@+id/iv_share"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="19dp"
            android:src="@drawable/fm_share_2" />


    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_above="@+id/ll_bottom"
        android:gravity="center"
        android:layout_marginBottom="39dp">
        <TextView
            android:id="@+id/tv_fm_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text=""
            android:textColor="@color/platform_color_FFFFFF"
            android:textSize="@dimen/platform_dp_16"
            android:visibility="gone"/>

        <TextView
            android:id="@+id/tv_anchor"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="主播："
            android:textColor="@color/platform_color_FFFFFF"
            android:textSize="@dimen/platform_dp_12"
            android:layout_marginTop="@dimen/platform_dp_4"
            android:layout_marginBottom="@dimen/platform_dp_10"
            android:visibility="gone"/>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center"
            android:layout_marginTop="@dimen/platform_dp_6">

            <ImageView
                android:id="@+id/tv_listen_icon"
                android:layout_width="@dimen/platform_dp_15"
                android:layout_height="@dimen/platform_dp_12"
                android:src="@drawable/fm_listen_2"
                android:layout_marginRight="@dimen/platform_dp_5"
                android:visibility="gone"/>

            <TextView
                android:id="@+id/tv_listen"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textStyle="bold"
                android:textColor="@color/platform_color_FFFFFF"
                android:textSize="13dp"
                android:layout_marginRight="@dimen/platform_dp_19"
                android:visibility="gone" />

            <ImageView
                android:id="@+id/tv_like_icon"
                android:layout_width="@dimen/platform_dp_16"
                android:layout_height="@dimen/platform_dp_13"
                android:src="@drawable/fm_like_2"
                android:layout_marginTop="0.5dp"
                android:layout_marginRight="@dimen/platform_dp_5"
                android:visibility="gone"/>

            <TextView
                android:id="@+id/tv_like"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textStyle="bold"
                android:textColor="@color/platform_color_FFFFFF"
                android:textSize="13dp"
                android:visibility="gone"/>

        </LinearLayout>
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/ll_bottom"
        android:layout_marginBottom="-12dp"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tv_currentTime"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_marginBottom="@dimen/platform_dp_7"
            android:layout_marginLeft="@dimen/platform_dp_25"
            android:layout_weight="1"
            android:text=""
            android:textColor="#FFFFFF"
            android:textSize="@dimen/dp_10" />

        <TextView
            android:id="@+id/tv_allTime"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_marginBottom="@dimen/platform_dp_7"
            android:layout_marginRight="@dimen/platform_dp_25"
            android:layout_weight="1"
            android:text=""
            android:textColor="#FFFFFF"
            android:textSize="@dimen/dp_10" />

        <SeekBar
            android:id="@+id/fm_progress"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/tv_currentTime"
            android:layout_marginLeft="@dimen/platform_dp_25"
            android:layout_marginRight="@dimen/platform_dp_25"
            android:maxHeight="1dp"
            android:minHeight="1dp"
            android:paddingStart="4dp"
            android:paddingEnd="4dp"
            android:progressDrawable="@drawable/fm_seekbar_fm_drag"
            android:thumb="@drawable/fm_dot_seekbar_fm" />
    </RelativeLayout>
</RelativeLayout>
